diff --git a/doc/src/sgml/Makefile b/doc/src/sgml/Makefile
index 3041a53..c5078a8 100644
--- a/doc/src/sgml/Makefile
+++ b/doc/src/sgml/Makefile
@@ -126,8 +126,8 @@ bookindex.sgml: HTML.index
 # changes.
 version.sgml: $(top_srcdir)/configure
 	{ \
-	  echo "<!entity version \"$(VERSION)\">"; \
-	  echo "<!entity majorversion \"$(MAJORVERSION)\">"; \
+	  echo "<!ENTITY version \"$(VERSION)\">"; \
+	  echo "<!ENTITY majorversion \"$(MAJORVERSION)\">"; \
 	} > $@
 
 features-supported.sgml: $(top_srcdir)/src/backend/catalog/sql_feature_packages.txt $(top_srcdir)/src/backend/catalog/sql_features.txt
@@ -220,9 +220,9 @@ HISTORY.html: generate_history.pl $(wildcard $(srcdir)/release*.sgml)
 	rm tempfile_HISTORY.sgml
 
 regress_README.html: regress.sgml
-	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
-	  echo '<!entity % standalone-ignore "IGNORE">'; \
-	  echo '<!entity % standalone-include "INCLUDE"> ]>'; \
+	( echo '<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
+	  echo '<!ENTITY % standalone-ignore "IGNORE">'; \
+	  echo '<!ENTITY % standalone-include "INCLUDE"> ]>'; \
 	  cat $< ) >tempfile_regress_README.sgml
 	$(JADE.text) -V nochunks tempfile_regress_README.sgml > $@
 	rm tempfile_regress_README.sgml
diff --git a/doc/src/sgml/filelist.sgml b/doc/src/sgml/filelist.sgml
index 1a60796..ed39e0b 100644
--- a/doc/src/sgml/filelist.sgml
+++ b/doc/src/sgml/filelist.sgml
@@ -1,176 +1,176 @@
 <!-- doc/src/sgml/filelist.sgml -->
 
-<!entity history    SYSTEM "history.sgml">
-<!entity info       SYSTEM "info.sgml">
-<!entity intro      SYSTEM "intro.sgml">
-<!entity legal      SYSTEM "legal.sgml">
-<!entity notation   SYSTEM "notation.sgml">
-<!entity problems   SYSTEM "problems.sgml">
+<!ENTITY history    SYSTEM "history.sgml">
+<!ENTITY info       SYSTEM "info.sgml">
+<!ENTITY intro      SYSTEM "intro.sgml">
+<!ENTITY legal      SYSTEM "legal.sgml">
+<!ENTITY notation   SYSTEM "notation.sgml">
+<!ENTITY problems   SYSTEM "problems.sgml">
 
 <!-- tutorial -->
-<!entity advanced   SYSTEM "advanced.sgml">
-<!entity query      SYSTEM "query.sgml">
-<!entity start      SYSTEM "start.sgml">
+<!ENTITY advanced   SYSTEM "advanced.sgml">
+<!ENTITY query      SYSTEM "query.sgml">
+<!ENTITY start      SYSTEM "start.sgml">
 
 <!-- currently unused, but contains some interesting information -->
-<!entity sql        SYSTEM "sql.sgml">
+<!ENTITY sql        SYSTEM "sql.sgml">
 
 <!-- user's guide -->
-<!entity array      SYSTEM "array.sgml">
-<!entity datatype   SYSTEM "datatype.sgml">
-<!entity ddl        SYSTEM "ddl.sgml">
-<!entity dml        SYSTEM "dml.sgml">
-<!entity func       SYSTEM "func.sgml">
-<!entity indices    SYSTEM "indices.sgml">
-<!entity mvcc       SYSTEM "mvcc.sgml">
-<!entity perform    SYSTEM "perform.sgml">
-<!entity queries    SYSTEM "queries.sgml">
-<!entity rowtypes   SYSTEM "rowtypes.sgml">
-<!entity syntax     SYSTEM "syntax.sgml">
-<!entity textsearch SYSTEM "textsearch.sgml">
-<!entity typeconv   SYSTEM "typeconv.sgml">
+<!ENTITY array      SYSTEM "array.sgml">
+<!ENTITY datatype   SYSTEM "datatype.sgml">
+<!ENTITY ddl        SYSTEM "ddl.sgml">
+<!ENTITY dml        SYSTEM "dml.sgml">
+<!ENTITY func       SYSTEM "func.sgml">
+<!ENTITY indices    SYSTEM "indices.sgml">
+<!ENTITY mvcc       SYSTEM "mvcc.sgml">
+<!ENTITY perform    SYSTEM "perform.sgml">
+<!ENTITY queries    SYSTEM "queries.sgml">
+<!ENTITY rowtypes   SYSTEM "rowtypes.sgml">
+<!ENTITY syntax     SYSTEM "syntax.sgml">
+<!ENTITY textsearch SYSTEM "textsearch.sgml">
+<!ENTITY typeconv   SYSTEM "typeconv.sgml">
 
 <!-- administrator's guide -->
-<!entity backup        SYSTEM "backup.sgml">
-<!entity charset       SYSTEM "charset.sgml">
-<!entity client-auth   SYSTEM "client-auth.sgml">
-<!entity diskusage     SYSTEM "diskusage.sgml">
-<!entity high-availability      SYSTEM "high-availability.sgml">
-<!entity installation  SYSTEM "installation.sgml">
-<!entity installw      SYSTEM "install-windows.sgml">
-<!entity maintenance   SYSTEM "maintenance.sgml">
-<!entity manage-ag     SYSTEM "manage-ag.sgml">
-<!entity monitoring    SYSTEM "monitoring.sgml">
-<!entity regress       SYSTEM "regress.sgml">
-<!entity recovery-config SYSTEM "recovery-config.sgml">
-<!entity runtime       SYSTEM "runtime.sgml">
-<!entity config        SYSTEM "config.sgml">
-<!entity user-manag    SYSTEM "user-manag.sgml">
-<!entity wal           SYSTEM "wal.sgml">
+<!ENTITY backup        SYSTEM "backup.sgml">
+<!ENTITY charset       SYSTEM "charset.sgml">
+<!ENTITY client-auth   SYSTEM "client-auth.sgml">
+<!ENTITY diskusage     SYSTEM "diskusage.sgml">
+<!ENTITY high-availability      SYSTEM "high-availability.sgml">
+<!ENTITY installation  SYSTEM "installation.sgml">
+<!ENTITY installw      SYSTEM "install-windows.sgml">
+<!ENTITY maintenance   SYSTEM "maintenance.sgml">
+<!ENTITY manage-ag     SYSTEM "manage-ag.sgml">
+<!ENTITY monitoring    SYSTEM "monitoring.sgml">
+<!ENTITY regress       SYSTEM "regress.sgml">
+<!ENTITY recovery-config SYSTEM "recovery-config.sgml">
+<!ENTITY runtime       SYSTEM "runtime.sgml">
+<!ENTITY config        SYSTEM "config.sgml">
+<!ENTITY user-manag    SYSTEM "user-manag.sgml">
+<!ENTITY wal           SYSTEM "wal.sgml">
 
 <!-- programmer's guide -->
-<!entity dfunc      SYSTEM "dfunc.sgml">
-<!entity ecpg       SYSTEM "ecpg.sgml">
-<!entity extend     SYSTEM "extend.sgml">
-<!entity external-projects SYSTEM "external-projects.sgml">
-<!entity func-ref   SYSTEM "func-ref.sgml">
-<!entity infoschema SYSTEM "information_schema.sgml">
-<!entity libpq      SYSTEM "libpq.sgml">
-<!entity lobj       SYSTEM "lobj.sgml">
-<!entity rules      SYSTEM "rules.sgml">
-<!entity spi        SYSTEM "spi.sgml">
-<!entity trigger    SYSTEM "trigger.sgml">
-<!entity xaggr      SYSTEM "xaggr.sgml">
-<!entity xfunc      SYSTEM "xfunc.sgml">
-<!entity xindex     SYSTEM "xindex.sgml">
-<!entity xplang     SYSTEM "xplang.sgml">
-<!entity xoper      SYSTEM "xoper.sgml">
-<!entity xtypes     SYSTEM "xtypes.sgml">
-<!entity plperl     SYSTEM "plperl.sgml">
-<!entity plpython   SYSTEM "plpython.sgml">
-<!entity plsql      SYSTEM "plpgsql.sgml">
-<!entity pltcl      SYSTEM "pltcl.sgml">
+<!ENTITY dfunc      SYSTEM "dfunc.sgml">
+<!ENTITY ecpg       SYSTEM "ecpg.sgml">
+<!ENTITY extend     SYSTEM "extend.sgml">
+<!ENTITY external-projects SYSTEM "external-projects.sgml">
+<!ENTITY func-ref   SYSTEM "func-ref.sgml">
+<!ENTITY infoschema SYSTEM "information_schema.sgml">
+<!ENTITY libpq      SYSTEM "libpq.sgml">
+<!ENTITY lobj       SYSTEM "lobj.sgml">
+<!ENTITY rules      SYSTEM "rules.sgml">
+<!ENTITY spi        SYSTEM "spi.sgml">
+<!ENTITY trigger    SYSTEM "trigger.sgml">
+<!ENTITY xaggr      SYSTEM "xaggr.sgml">
+<!ENTITY xfunc      SYSTEM "xfunc.sgml">
+<!ENTITY xindex     SYSTEM "xindex.sgml">
+<!ENTITY xplang     SYSTEM "xplang.sgml">
+<!ENTITY xoper      SYSTEM "xoper.sgml">
+<!ENTITY xtypes     SYSTEM "xtypes.sgml">
+<!ENTITY plperl     SYSTEM "plperl.sgml">
+<!ENTITY plpython   SYSTEM "plpython.sgml">
+<!ENTITY plsql      SYSTEM "plpgsql.sgml">
+<!ENTITY pltcl      SYSTEM "pltcl.sgml">
 
 <!-- reference pages -->
-<!entity % allfiles   SYSTEM "ref/allfiles.sgml">
+<!ENTITY % allfiles   SYSTEM "ref/allfiles.sgml">
 %allfiles;
 
 <!-- developer's guide -->
-<!entity arch-dev   SYSTEM "arch-dev.sgml">
-<!entity bki        SYSTEM "bki.sgml">
-<!entity catalogs   SYSTEM "catalogs.sgml">
-<!entity geqo       SYSTEM "geqo.sgml">
-<!entity gist       SYSTEM "gist.sgml">
-<!entity gin        SYSTEM "gin.sgml">
-<!entity planstats    SYSTEM "planstats.sgml">
-<!entity indexam    SYSTEM "indexam.sgml">
-<!entity nls        SYSTEM "nls.sgml">
-<!entity plhandler  SYSTEM "plhandler.sgml">
-<!entity fdwhandler SYSTEM "fdwhandler.sgml">
-<!entity protocol   SYSTEM "protocol.sgml">
-<!entity sources    SYSTEM "sources.sgml">
-<!entity storage    SYSTEM "storage.sgml">
+<!ENTITY arch-dev   SYSTEM "arch-dev.sgml">
+<!ENTITY bki        SYSTEM "bki.sgml">
+<!ENTITY catalogs   SYSTEM "catalogs.sgml">
+<!ENTITY geqo       SYSTEM "geqo.sgml">
+<!ENTITY gist       SYSTEM "gist.sgml">
+<!ENTITY gin        SYSTEM "gin.sgml">
+<!ENTITY planstats    SYSTEM "planstats.sgml">
+<!ENTITY indexam    SYSTEM "indexam.sgml">
+<!ENTITY nls        SYSTEM "nls.sgml">
+<!ENTITY plhandler  SYSTEM "plhandler.sgml">
+<!ENTITY fdwhandler SYSTEM "fdwhandler.sgml">
+<!ENTITY protocol   SYSTEM "protocol.sgml">
+<!ENTITY sources    SYSTEM "sources.sgml">
+<!ENTITY storage    SYSTEM "storage.sgml">
 
 <!-- contrib information -->
-<!entity contrib         SYSTEM "contrib.sgml">
-<!entity adminpack       SYSTEM "adminpack.sgml">
-<!entity auth-delay      SYSTEM "auth-delay.sgml">
-<!entity auto-explain    SYSTEM "auto-explain.sgml">
-<!entity btree-gin       SYSTEM "btree-gin.sgml">
-<!entity btree-gist      SYSTEM "btree-gist.sgml">
-<!entity chkpass         SYSTEM "chkpass.sgml">
-<!entity citext          SYSTEM "citext.sgml">
-<!entity cube            SYSTEM "cube.sgml">
-<!entity dblink          SYSTEM "dblink.sgml">
-<!entity dict-int        SYSTEM "dict-int.sgml">
-<!entity dict-xsyn       SYSTEM "dict-xsyn.sgml">
-<!entity dummy-seclabel  SYSTEM "dummy-seclabel.sgml">
-<!entity earthdistance   SYSTEM "earthdistance.sgml">
-<!entity file-fdw        SYSTEM "file-fdw.sgml">
-<!entity fuzzystrmatch   SYSTEM "fuzzystrmatch.sgml">
-<!entity hstore          SYSTEM "hstore.sgml">
-<!entity intagg          SYSTEM "intagg.sgml">
-<!entity intarray        SYSTEM "intarray.sgml">
-<!entity isn             SYSTEM "isn.sgml">
-<!entity lo              SYSTEM "lo.sgml">
-<!entity ltree           SYSTEM "ltree.sgml">
-<!entity oid2name        SYSTEM "oid2name.sgml">
-<!entity pageinspect     SYSTEM "pageinspect.sgml">
-<!entity passwordcheck   SYSTEM "passwordcheck.sgml">
-<!entity pgbench         SYSTEM "pgbench.sgml">
-<!entity pgarchivecleanup SYSTEM "pgarchivecleanup.sgml">
-<!entity pgbuffercache   SYSTEM "pgbuffercache.sgml">
-<!entity pgcrypto        SYSTEM "pgcrypto.sgml">
-<!entity pgfreespacemap  SYSTEM "pgfreespacemap.sgml">
-<!entity pgrowlocks      SYSTEM "pgrowlocks.sgml">
-<!entity pgstandby       SYSTEM "pgstandby.sgml">
-<!entity pgstatstatements SYSTEM "pgstatstatements.sgml">
-<!entity pgstattuple     SYSTEM "pgstattuple.sgml">
-<!entity pgtestfsync     SYSTEM "pgtestfsync.sgml">
-<!entity pgtrgm          SYSTEM "pgtrgm.sgml">
-<!entity pgupgrade       SYSTEM "pgupgrade.sgml">
-<!entity seg             SYSTEM "seg.sgml">
-<!entity contrib-spi     SYSTEM "contrib-spi.sgml">
-<!entity sepgsql         SYSTEM "sepgsql.sgml">
-<!entity sslinfo         SYSTEM "sslinfo.sgml">
-<!entity tablefunc       SYSTEM "tablefunc.sgml">
-<!entity test-parser     SYSTEM "test-parser.sgml">
-<!entity tsearch2        SYSTEM "tsearch2.sgml">
-<!entity unaccent      SYSTEM "unaccent.sgml">
-<!entity uuid-ossp       SYSTEM "uuid-ossp.sgml">
-<!entity vacuumlo        SYSTEM "vacuumlo.sgml">
-<!entity xml2            SYSTEM "xml2.sgml">
+<!ENTITY contrib         SYSTEM "contrib.sgml">
+<!ENTITY adminpack       SYSTEM "adminpack.sgml">
+<!ENTITY auth-delay      SYSTEM "auth-delay.sgml">
+<!ENTITY auto-explain    SYSTEM "auto-explain.sgml">
+<!ENTITY btree-gin       SYSTEM "btree-gin.sgml">
+<!ENTITY btree-gist      SYSTEM "btree-gist.sgml">
+<!ENTITY chkpass         SYSTEM "chkpass.sgml">
+<!ENTITY citext          SYSTEM "citext.sgml">
+<!ENTITY cube            SYSTEM "cube.sgml">
+<!ENTITY dblink          SYSTEM "dblink.sgml">
+<!ENTITY dict-int        SYSTEM "dict-int.sgml">
+<!ENTITY dict-xsyn       SYSTEM "dict-xsyn.sgml">
+<!ENTITY dummy-seclabel  SYSTEM "dummy-seclabel.sgml">
+<!ENTITY earthdistance   SYSTEM "earthdistance.sgml">
+<!ENTITY file-fdw        SYSTEM "file-fdw.sgml">
+<!ENTITY fuzzystrmatch   SYSTEM "fuzzystrmatch.sgml">
+<!ENTITY hstore          SYSTEM "hstore.sgml">
+<!ENTITY intagg          SYSTEM "intagg.sgml">
+<!ENTITY intarray        SYSTEM "intarray.sgml">
+<!ENTITY isn             SYSTEM "isn.sgml">
+<!ENTITY lo              SYSTEM "lo.sgml">
+<!ENTITY ltree           SYSTEM "ltree.sgml">
+<!ENTITY oid2name        SYSTEM "oid2name.sgml">
+<!ENTITY pageinspect     SYSTEM "pageinspect.sgml">
+<!ENTITY passwordcheck   SYSTEM "passwordcheck.sgml">
+<!ENTITY pgbench         SYSTEM "pgbench.sgml">
+<!ENTITY pgarchivecleanup SYSTEM "pgarchivecleanup.sgml">
+<!ENTITY pgbuffercache   SYSTEM "pgbuffercache.sgml">
+<!ENTITY pgcrypto        SYSTEM "pgcrypto.sgml">
+<!ENTITY pgfreespacemap  SYSTEM "pgfreespacemap.sgml">
+<!ENTITY pgrowlocks      SYSTEM "pgrowlocks.sgml">
+<!ENTITY pgstandby       SYSTEM "pgstandby.sgml">
+<!ENTITY pgstatstatements SYSTEM "pgstatstatements.sgml">
+<!ENTITY pgstattuple     SYSTEM "pgstattuple.sgml">
+<!ENTITY pgtestfsync     SYSTEM "pgtestfsync.sgml">
+<!ENTITY pgtrgm          SYSTEM "pgtrgm.sgml">
+<!ENTITY pgupgrade       SYSTEM "pgupgrade.sgml">
+<!ENTITY seg             SYSTEM "seg.sgml">
+<!ENTITY contrib-spi     SYSTEM "contrib-spi.sgml">
+<!ENTITY sepgsql         SYSTEM "sepgsql.sgml">
+<!ENTITY sslinfo         SYSTEM "sslinfo.sgml">
+<!ENTITY tablefunc       SYSTEM "tablefunc.sgml">
+<!ENTITY test-parser     SYSTEM "test-parser.sgml">
+<!ENTITY tsearch2        SYSTEM "tsearch2.sgml">
+<!ENTITY unaccent      SYSTEM "unaccent.sgml">
+<!ENTITY uuid-ossp       SYSTEM "uuid-ossp.sgml">
+<!ENTITY vacuumlo        SYSTEM "vacuumlo.sgml">
+<!ENTITY xml2            SYSTEM "xml2.sgml">
 
 <!-- appendixes -->
-<!entity contacts   SYSTEM "contacts.sgml">
-<!entity datetime   SYSTEM "datetime.sgml">
-<!entity docguide   SYSTEM "docguide.sgml">
-<!entity errcodes   SYSTEM "errcodes.sgml">
-<!entity features   SYSTEM "features.sgml">
-<!entity keywords   SYSTEM "keywords.sgml">
-<!entity sourcerepo SYSTEM "sourcerepo.sgml">
-
-<!entity release    SYSTEM "release.sgml">
-<!entity release-9.1    SYSTEM "release-9.1.sgml">
-<!entity release-9.0    SYSTEM "release-9.0.sgml">
-<!entity release-8.4    SYSTEM "release-8.4.sgml">
-<!entity release-8.3    SYSTEM "release-8.3.sgml">
-<!entity release-8.2    SYSTEM "release-8.2.sgml">
-<!entity release-8.1    SYSTEM "release-8.1.sgml">
-<!entity release-8.0    SYSTEM "release-8.0.sgml">
-<!entity release-7.4    SYSTEM "release-7.4.sgml">
-<!entity release-old    SYSTEM "release-old.sgml">
-
-<!entity acronyms   SYSTEM "acronyms.sgml">
-
-<!entity features-supported   SYSTEM "features-supported.sgml">
-<!entity features-unsupported SYSTEM "features-unsupported.sgml">
-
-<!entity errcodes-table SYSTEM "errcodes-table.sgml">
+<!ENTITY contacts   SYSTEM "contacts.sgml">
+<!ENTITY datetime   SYSTEM "datetime.sgml">
+<!ENTITY docguide   SYSTEM "docguide.sgml">
+<!ENTITY errcodes   SYSTEM "errcodes.sgml">
+<!ENTITY features   SYSTEM "features.sgml">
+<!ENTITY keywords   SYSTEM "keywords.sgml">
+<!ENTITY sourcerepo SYSTEM "sourcerepo.sgml">
+
+<!ENTITY release    SYSTEM "release.sgml">
+<!ENTITY release-9.1    SYSTEM "release-9.1.sgml">
+<!ENTITY release-9.0    SYSTEM "release-9.0.sgml">
+<!ENTITY release-8.4    SYSTEM "release-8.4.sgml">
+<!ENTITY release-8.3    SYSTEM "release-8.3.sgml">
+<!ENTITY release-8.2    SYSTEM "release-8.2.sgml">
+<!ENTITY release-8.1    SYSTEM "release-8.1.sgml">
+<!ENTITY release-8.0    SYSTEM "release-8.0.sgml">
+<!ENTITY release-7.4    SYSTEM "release-7.4.sgml">
+<!ENTITY release-old    SYSTEM "release-old.sgml">
+
+<!ENTITY acronyms   SYSTEM "acronyms.sgml">
+
+<!ENTITY features-supported   SYSTEM "features-supported.sgml">
+<!ENTITY features-unsupported SYSTEM "features-unsupported.sgml">
+
+<!ENTITY errcodes-table SYSTEM "errcodes-table.sgml">
 
 <!-- back matter -->
-<!entity biblio     SYSTEM "biblio.sgml">
-<!entity bookindex  SYSTEM "bookindex.sgml">
+<!ENTITY biblio     SYSTEM "biblio.sgml">
+<!ENTITY bookindex  SYSTEM "bookindex.sgml">
 
 <!--
  Some parts of the documentation are also source for some plain-text
@@ -178,11 +178,11 @@
  some parts (e.g., external xref's) when generating these files we use
  these parameter entities.  See also standalone-install.sgml.
  -->
-<!entity % standalone-ignore  "INCLUDE">
-<!entity % standalone-include "IGNORE">
+<!ENTITY % standalone-ignore  "INCLUDE">
+<!ENTITY % standalone-include "IGNORE">
 
 <!--
  By default, no index is included.  Use -i include-index on the command line
  to include it.
  -->
-<!entity % include-index "IGNORE">
+<!ENTITY % include-index "IGNORE">
diff --git a/doc/src/sgml/postgres.sgml b/doc/src/sgml/postgres.sgml
index 98d19a5..ac1da22 100644
--- a/doc/src/sgml/postgres.sgml
+++ b/doc/src/sgml/postgres.sgml
@@ -2,12 +2,12 @@
 
 <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook V4.2//EN" [
 
-<!entity % version SYSTEM "version.sgml">
+<!ENTITY % version SYSTEM "version.sgml">
 %version;
-<!entity % filelist SYSTEM "filelist.sgml">
+<!ENTITY % filelist SYSTEM "filelist.sgml">
 %filelist;
 
-<!entity reference  SYSTEM "reference.sgml">
+<!ENTITY reference  SYSTEM "reference.sgml">
 
 ]>
 
diff --git a/doc/src/sgml/ref/allfiles.sgml b/doc/src/sgml/ref/allfiles.sgml
index ac6ac5b..8a8616b 100644
--- a/doc/src/sgml/ref/allfiles.sgml
+++ b/doc/src/sgml/ref/allfiles.sgml
@@ -5,177 +5,177 @@ Complete list of usable sgml source files in this directory.
 -->
 
 <!-- SQL commands -->
-<!entity abort              system "abort.sgml">
-<!entity alterAggregate     system "alter_aggregate.sgml">
-<!entity alterCollation     system "alter_collation.sgml">
-<!entity alterConversion    system "alter_conversion.sgml">
-<!entity alterDatabase      system "alter_database.sgml">
-<!entity alterDefaultPrivileges system "alter_default_privileges.sgml">
-<!entity alterDomain        system "alter_domain.sgml">
-<!entity alterExtension     system "alter_extension.sgml">
-<!entity alterForeignDataWrapper system "alter_foreign_data_wrapper.sgml">
-<!entity alterForeignTable  system "alter_foreign_table.sgml">
-<!entity alterFunction      system "alter_function.sgml">
-<!entity alterGroup         system "alter_group.sgml">
-<!entity alterIndex         system "alter_index.sgml">
-<!entity alterLanguage      system "alter_language.sgml">
-<!entity alterLargeObject   system "alter_large_object.sgml">
-<!entity alterOperator      system "alter_operator.sgml">
-<!entity alterOperatorClass system "alter_opclass.sgml">
-<!entity alterOperatorFamily system "alter_opfamily.sgml">
-<!entity alterRole          system "alter_role.sgml">
-<!entity alterSchema        system "alter_schema.sgml">
-<!entity alterServer        system "alter_server.sgml">
-<!entity alterSequence      system "alter_sequence.sgml">
-<!entity alterTable         system "alter_table.sgml">
-<!entity alterTableSpace    system "alter_tablespace.sgml">
-<!entity alterTSConfig      system "alter_tsconfig.sgml">
-<!entity alterTSDictionary  system "alter_tsdictionary.sgml">
-<!entity alterTSParser      system "alter_tsparser.sgml">
-<!entity alterTSTemplate    system "alter_tstemplate.sgml">
-<!entity alterTrigger       system "alter_trigger.sgml">
-<!entity alterType          system "alter_type.sgml">
-<!entity alterUser          system "alter_user.sgml">
-<!entity alterUserMapping   system "alter_user_mapping.sgml">
-<!entity alterView          system "alter_view.sgml">
-<!entity analyze            system "analyze.sgml">
-<!entity begin              system "begin.sgml">
-<!entity checkpoint         system "checkpoint.sgml">
-<!entity close              system "close.sgml">
-<!entity cluster            system "cluster.sgml">
-<!entity commentOn          system "comment.sgml">
-<!entity commit             system "commit.sgml">
-<!entity commitPrepared     system "commit_prepared.sgml">
-<!entity copyTable          system "copy.sgml">
-<!entity createAggregate    system "create_aggregate.sgml">
-<!entity createCast         system "create_cast.sgml">
-<!entity createCollation    system "create_collation.sgml">
-<!entity createConversion   system "create_conversion.sgml">
-<!entity createDatabase     system "create_database.sgml">
-<!entity createDomain       system "create_domain.sgml">
-<!entity createExtension    system "create_extension.sgml">
-<!entity createForeignDataWrapper system "create_foreign_data_wrapper.sgml">
-<!entity createForeignTable system "create_foreign_table.sgml">
-<!entity createFunction     system "create_function.sgml">
-<!entity createGroup        system "create_group.sgml">
-<!entity createIndex        system "create_index.sgml">
-<!entity createLanguage     system "create_language.sgml">
-<!entity createOperator     system "create_operator.sgml">
-<!entity createOperatorClass system "create_opclass.sgml">
-<!entity createOperatorFamily system "create_opfamily.sgml">
-<!entity createRole         system "create_role.sgml">
-<!entity createRule         system "create_rule.sgml">
-<!entity createSchema       system "create_schema.sgml">
-<!entity createSequence     system "create_sequence.sgml">
-<!entity createServer       system "create_server.sgml">
-<!entity createTable        system "create_table.sgml">
-<!entity createTableAs      system "create_table_as.sgml">
-<!entity createTableSpace   system "create_tablespace.sgml">
-<!entity createTrigger      system "create_trigger.sgml">
-<!entity createTSConfig     system "create_tsconfig.sgml">
-<!entity createTSDictionary system "create_tsdictionary.sgml">
-<!entity createTSParser     system "create_tsparser.sgml">
-<!entity createTSTemplate   system "create_tstemplate.sgml">
-<!entity createType         system "create_type.sgml">
-<!entity createUser         system "create_user.sgml">
-<!entity createUserMapping  system "create_user_mapping.sgml">
-<!entity createView         system "create_view.sgml">
-<!entity deallocate         system "deallocate.sgml">
-<!entity declare            system "declare.sgml">
-<!entity delete             system "delete.sgml">
-<!entity discard            system "discard.sgml">
-<!entity do                 system "do.sgml">
-<!entity dropAggregate      system "drop_aggregate.sgml">
-<!entity dropCast           system "drop_cast.sgml">
-<!entity dropCollation      system "drop_collation.sgml">
-<!entity dropConversion     system "drop_conversion.sgml">
-<!entity dropDatabase       system "drop_database.sgml">
-<!entity dropDomain         system "drop_domain.sgml">
-<!entity dropExtension      system "drop_extension.sgml">
-<!entity dropForeignDataWrapper system "drop_foreign_data_wrapper.sgml">
-<!entity dropForeignTable   system "drop_foreign_table.sgml">
-<!entity dropFunction       system "drop_function.sgml">
-<!entity dropGroup          system "drop_group.sgml">
-<!entity dropIndex          system "drop_index.sgml">
-<!entity dropLanguage       system "drop_language.sgml">
-<!entity dropOperator       system "drop_operator.sgml">
-<!entity dropOperatorClass  system "drop_opclass.sgml">
-<!entity dropOperatorFamily  system "drop_opfamily.sgml">
-<!entity dropOwned          system "drop_owned.sgml">
-<!entity dropRole           system "drop_role.sgml">
-<!entity dropRule           system "drop_rule.sgml">
-<!entity dropSchema         system "drop_schema.sgml">
-<!entity dropSequence       system "drop_sequence.sgml">
-<!entity dropServer         system "drop_server.sgml">
-<!entity dropTable          system "drop_table.sgml">
-<!entity dropTableSpace     system "drop_tablespace.sgml">
-<!entity dropTrigger        system "drop_trigger.sgml">
-<!entity dropTSConfig       system "drop_tsconfig.sgml">
-<!entity dropTSDictionary   system "drop_tsdictionary.sgml">
-<!entity dropTSParser       system "drop_tsparser.sgml">
-<!entity dropTSTemplate     system "drop_tstemplate.sgml">
-<!entity dropType           system "drop_type.sgml">
-<!entity dropUser           system "drop_user.sgml">
-<!entity dropUserMapping    system "drop_user_mapping.sgml">
-<!entity dropView           system "drop_view.sgml">
-<!entity end                system "end.sgml">
-<!entity execute            system "execute.sgml">
-<!entity explain            system "explain.sgml">
-<!entity fetch              system "fetch.sgml">
-<!entity grant              system "grant.sgml">
-<!entity insert             system "insert.sgml">
-<!entity listen             system "listen.sgml">
-<!entity load               system "load.sgml">
-<!entity lock               system "lock.sgml">
-<!entity move               system "move.sgml">
-<!entity notify             system "notify.sgml">
-<!entity prepare            system "prepare.sgml">
-<!entity prepareTransaction system "prepare_transaction.sgml">
-<!entity reassignOwned      system "reassign_owned.sgml">
-<!entity reindex            system "reindex.sgml">
-<!entity releaseSavepoint   system "release_savepoint.sgml">
-<!entity reset              system "reset.sgml">
-<!entity revoke             system "revoke.sgml">
-<!entity rollback           system "rollback.sgml">
-<!entity rollbackPrepared   system "rollback_prepared.sgml">
-<!entity rollbackTo         system "rollback_to.sgml">
-<!entity savepoint          system "savepoint.sgml">
-<!entity securityLabel      system "security_label.sgml">
-<!entity select             system "select.sgml">
-<!entity selectInto         system "select_into.sgml">
-<!entity set                system "set.sgml">
-<!entity setConstraints     system "set_constraints.sgml">
-<!entity setRole            system "set_role.sgml">
-<!entity setSessionAuth     system "set_session_auth.sgml">
-<!entity setTransaction     system "set_transaction.sgml">
-<!entity show               system "show.sgml">
-<!entity startTransaction   system "start_transaction.sgml">
-<!entity truncate           system "truncate.sgml">
-<!entity unlisten           system "unlisten.sgml">
-<!entity update             system "update.sgml">
-<!entity vacuum             system "vacuum.sgml">
-<!entity values             system "values.sgml">
+<!ENTITY abort              SYSTEM "abort.sgml">
+<!ENTITY alterAggregate     SYSTEM "alter_aggregate.sgml">
+<!ENTITY alterCollation     SYSTEM "alter_collation.sgml">
+<!ENTITY alterConversion    SYSTEM "alter_conversion.sgml">
+<!ENTITY alterDatabase      SYSTEM "alter_database.sgml">
+<!ENTITY alterDefaultPrivileges SYSTEM "alter_default_privileges.sgml">
+<!ENTITY alterDomain        SYSTEM "alter_domain.sgml">
+<!ENTITY alterExtension     SYSTEM "alter_extension.sgml">
+<!ENTITY alterForeignDataWrapper SYSTEM "alter_foreign_data_wrapper.sgml">
+<!ENTITY alterForeignTable  SYSTEM "alter_foreign_table.sgml">
+<!ENTITY alterFunction      SYSTEM "alter_function.sgml">
+<!ENTITY alterGroup         SYSTEM "alter_group.sgml">
+<!ENTITY alterIndex         SYSTEM "alter_index.sgml">
+<!ENTITY alterLanguage      SYSTEM "alter_language.sgml">
+<!ENTITY alterLargeObject   SYSTEM "alter_large_object.sgml">
+<!ENTITY alterOperator      SYSTEM "alter_operator.sgml">
+<!ENTITY alterOperatorClass SYSTEM "alter_opclass.sgml">
+<!ENTITY alterOperatorFamily SYSTEM "alter_opfamily.sgml">
+<!ENTITY alterRole          SYSTEM "alter_role.sgml">
+<!ENTITY alterSchema        SYSTEM "alter_schema.sgml">
+<!ENTITY alterServer        SYSTEM "alter_server.sgml">
+<!ENTITY alterSequence      SYSTEM "alter_sequence.sgml">
+<!ENTITY alterTable         SYSTEM "alter_table.sgml">
+<!ENTITY alterTableSpace    SYSTEM "alter_tablespace.sgml">
+<!ENTITY alterTSConfig      SYSTEM "alter_tsconfig.sgml">
+<!ENTITY alterTSDictionary  SYSTEM "alter_tsdictionary.sgml">
+<!ENTITY alterTSParser      SYSTEM "alter_tsparser.sgml">
+<!ENTITY alterTSTemplate    SYSTEM "alter_tstemplate.sgml">
+<!ENTITY alterTrigger       SYSTEM "alter_trigger.sgml">
+<!ENTITY alterType          SYSTEM "alter_type.sgml">
+<!ENTITY alterUser          SYSTEM "alter_user.sgml">
+<!ENTITY alterUserMapping   SYSTEM "alter_user_mapping.sgml">
+<!ENTITY alterView          SYSTEM "alter_view.sgml">
+<!ENTITY analyze            SYSTEM "analyze.sgml">
+<!ENTITY begin              SYSTEM "begin.sgml">
+<!ENTITY checkpoint         SYSTEM "checkpoint.sgml">
+<!ENTITY close              SYSTEM "close.sgml">
+<!ENTITY cluster            SYSTEM "cluster.sgml">
+<!ENTITY commentOn          SYSTEM "comment.sgml">
+<!ENTITY commit             SYSTEM "commit.sgml">
+<!ENTITY commitPrepared     SYSTEM "commit_prepared.sgml">
+<!ENTITY copyTable          SYSTEM "copy.sgml">
+<!ENTITY createAggregate    SYSTEM "create_aggregate.sgml">
+<!ENTITY createCast         SYSTEM "create_cast.sgml">
+<!ENTITY createCollation    SYSTEM "create_collation.sgml">
+<!ENTITY createConversion   SYSTEM "create_conversion.sgml">
+<!ENTITY createDatabase     SYSTEM "create_database.sgml">
+<!ENTITY createDomain       SYSTEM "create_domain.sgml">
+<!ENTITY createExtension    SYSTEM "create_extension.sgml">
+<!ENTITY createForeignDataWrapper SYSTEM "create_foreign_data_wrapper.sgml">
+<!ENTITY createForeignTable SYSTEM "create_foreign_table.sgml">
+<!ENTITY createFunction     SYSTEM "create_function.sgml">
+<!ENTITY createGroup        SYSTEM "create_group.sgml">
+<!ENTITY createIndex        SYSTEM "create_index.sgml">
+<!ENTITY createLanguage     SYSTEM "create_language.sgml">
+<!ENTITY createOperator     SYSTEM "create_operator.sgml">
+<!ENTITY createOperatorClass SYSTEM "create_opclass.sgml">
+<!ENTITY createOperatorFamily SYSTEM "create_opfamily.sgml">
+<!ENTITY createRole         SYSTEM "create_role.sgml">
+<!ENTITY createRule         SYSTEM "create_rule.sgml">
+<!ENTITY createSchema       SYSTEM "create_schema.sgml">
+<!ENTITY createSequence     SYSTEM "create_sequence.sgml">
+<!ENTITY createServer       SYSTEM "create_server.sgml">
+<!ENTITY createTable        SYSTEM "create_table.sgml">
+<!ENTITY createTableAs      SYSTEM "create_table_as.sgml">
+<!ENTITY createTableSpace   SYSTEM "create_tablespace.sgml">
+<!ENTITY createTrigger      SYSTEM "create_trigger.sgml">
+<!ENTITY createTSConfig     SYSTEM "create_tsconfig.sgml">
+<!ENTITY createTSDictionary SYSTEM "create_tsdictionary.sgml">
+<!ENTITY createTSParser     SYSTEM "create_tsparser.sgml">
+<!ENTITY createTSTemplate   SYSTEM "create_tstemplate.sgml">
+<!ENTITY createType         SYSTEM "create_type.sgml">
+<!ENTITY createUser         SYSTEM "create_user.sgml">
+<!ENTITY createUserMapping  SYSTEM "create_user_mapping.sgml">
+<!ENTITY createView         SYSTEM "create_view.sgml">
+<!ENTITY deallocate         SYSTEM "deallocate.sgml">
+<!ENTITY declare            SYSTEM "declare.sgml">
+<!ENTITY delete             SYSTEM "delete.sgml">
+<!ENTITY discard            SYSTEM "discard.sgml">
+<!ENTITY do                 SYSTEM "do.sgml">
+<!ENTITY dropAggregate      SYSTEM "drop_aggregate.sgml">
+<!ENTITY dropCast           SYSTEM "drop_cast.sgml">
+<!ENTITY dropCollation      SYSTEM "drop_collation.sgml">
+<!ENTITY dropConversion     SYSTEM "drop_conversion.sgml">
+<!ENTITY dropDatabase       SYSTEM "drop_database.sgml">
+<!ENTITY dropDomain         SYSTEM "drop_domain.sgml">
+<!ENTITY dropExtension      SYSTEM "drop_extension.sgml">
+<!ENTITY dropForeignDataWrapper SYSTEM "drop_foreign_data_wrapper.sgml">
+<!ENTITY dropForeignTable   SYSTEM "drop_foreign_table.sgml">
+<!ENTITY dropFunction       SYSTEM "drop_function.sgml">
+<!ENTITY dropGroup          SYSTEM "drop_group.sgml">
+<!ENTITY dropIndex          SYSTEM "drop_index.sgml">
+<!ENTITY dropLanguage       SYSTEM "drop_language.sgml">
+<!ENTITY dropOperator       SYSTEM "drop_operator.sgml">
+<!ENTITY dropOperatorClass  SYSTEM "drop_opclass.sgml">
+<!ENTITY dropOperatorFamily  SYSTEM "drop_opfamily.sgml">
+<!ENTITY dropOwned          SYSTEM "drop_owned.sgml">
+<!ENTITY dropRole           SYSTEM "drop_role.sgml">
+<!ENTITY dropRule           SYSTEM "drop_rule.sgml">
+<!ENTITY dropSchema         SYSTEM "drop_schema.sgml">
+<!ENTITY dropSequence       SYSTEM "drop_sequence.sgml">
+<!ENTITY dropServer         SYSTEM "drop_server.sgml">
+<!ENTITY dropTable          SYSTEM "drop_table.sgml">
+<!ENTITY dropTableSpace     SYSTEM "drop_tablespace.sgml">
+<!ENTITY dropTrigger        SYSTEM "drop_trigger.sgml">
+<!ENTITY dropTSConfig       SYSTEM "drop_tsconfig.sgml">
+<!ENTITY dropTSDictionary   SYSTEM "drop_tsdictionary.sgml">
+<!ENTITY dropTSParser       SYSTEM "drop_tsparser.sgml">
+<!ENTITY dropTSTemplate     SYSTEM "drop_tstemplate.sgml">
+<!ENTITY dropType           SYSTEM "drop_type.sgml">
+<!ENTITY dropUser           SYSTEM "drop_user.sgml">
+<!ENTITY dropUserMapping    SYSTEM "drop_user_mapping.sgml">
+<!ENTITY dropView           SYSTEM "drop_view.sgml">
+<!ENTITY end                SYSTEM "end.sgml">
+<!ENTITY execute            SYSTEM "execute.sgml">
+<!ENTITY explain            SYSTEM "explain.sgml">
+<!ENTITY fetch              SYSTEM "fetch.sgml">
+<!ENTITY grant              SYSTEM "grant.sgml">
+<!ENTITY insert             SYSTEM "insert.sgml">
+<!ENTITY listen             SYSTEM "listen.sgml">
+<!ENTITY load               SYSTEM "load.sgml">
+<!ENTITY lock               SYSTEM "lock.sgml">
+<!ENTITY move               SYSTEM "move.sgml">
+<!ENTITY notify             SYSTEM "notify.sgml">
+<!ENTITY prepare            SYSTEM "prepare.sgml">
+<!ENTITY prepareTransaction SYSTEM "prepare_transaction.sgml">
+<!ENTITY reassignOwned      SYSTEM "reassign_owned.sgml">
+<!ENTITY reindex            SYSTEM "reindex.sgml">
+<!ENTITY releaseSavepoint   SYSTEM "release_savepoint.sgml">
+<!ENTITY reset              SYSTEM "reset.sgml">
+<!ENTITY revoke             SYSTEM "revoke.sgml">
+<!ENTITY rollback           SYSTEM "rollback.sgml">
+<!ENTITY rollbackPrepared   SYSTEM "rollback_prepared.sgml">
+<!ENTITY rollbackTo         SYSTEM "rollback_to.sgml">
+<!ENTITY savepoint          SYSTEM "savepoint.sgml">
+<!ENTITY securityLabel      SYSTEM "security_label.sgml">
+<!ENTITY select             SYSTEM "select.sgml">
+<!ENTITY selectInto         SYSTEM "select_into.sgml">
+<!ENTITY set                SYSTEM "set.sgml">
+<!ENTITY setConstraints     SYSTEM "set_constraints.sgml">
+<!ENTITY setRole            SYSTEM "set_role.sgml">
+<!ENTITY setSessionAuth     SYSTEM "set_session_auth.sgml">
+<!ENTITY setTransaction     SYSTEM "set_transaction.sgml">
+<!ENTITY show               SYSTEM "show.sgml">
+<!ENTITY startTransaction   SYSTEM "start_transaction.sgml">
+<!ENTITY truncate           SYSTEM "truncate.sgml">
+<!ENTITY unlisten           SYSTEM "unlisten.sgml">
+<!ENTITY update             SYSTEM "update.sgml">
+<!ENTITY vacuum             SYSTEM "vacuum.sgml">
+<!ENTITY values             SYSTEM "values.sgml">
 
 <!-- applications and utilities -->
-<!entity clusterdb          system "clusterdb.sgml">
-<!entity createdb           system "createdb.sgml">
-<!entity createlang         system "createlang.sgml">
-<!entity createuser         system "createuser.sgml">
-<!entity dropdb             system "dropdb.sgml">
-<!entity droplang           system "droplang.sgml">
-<!entity dropuser           system "dropuser.sgml">
-<!entity ecpgRef            system "ecpg-ref.sgml">
-<!entity initdb             system "initdb.sgml">
-<!entity pgBasebackup       system "pg_basebackup.sgml">
-<!entity pgConfig           system "pg_config-ref.sgml">
-<!entity pgControldata      system "pg_controldata.sgml">
-<!entity pgCtl              system "pg_ctl-ref.sgml">
-<!entity pgDump             system "pg_dump.sgml">
-<!entity pgDumpall          system "pg_dumpall.sgml">
-<!entity pgResetxlog        system "pg_resetxlog.sgml">
-<!entity pgRestore          system "pg_restore.sgml">
-<!entity postgres           system "postgres-ref.sgml">
-<!entity postmaster         system "postmaster.sgml">
-<!entity psqlRef            system "psql-ref.sgml">
-<!entity reindexdb          system "reindexdb.sgml">
-<!entity vacuumdb           system "vacuumdb.sgml">
+<!ENTITY clusterdb          SYSTEM "clusterdb.sgml">
+<!ENTITY createdb           SYSTEM "createdb.sgml">
+<!ENTITY createlang         SYSTEM "createlang.sgml">
+<!ENTITY createuser         SYSTEM "createuser.sgml">
+<!ENTITY dropdb             SYSTEM "dropdb.sgml">
+<!ENTITY droplang           SYSTEM "droplang.sgml">
+<!ENTITY dropuser           SYSTEM "dropuser.sgml">
+<!ENTITY ecpgRef            SYSTEM "ecpg-ref.sgml">
+<!ENTITY initdb             SYSTEM "initdb.sgml">
+<!ENTITY pgBasebackup       SYSTEM "pg_basebackup.sgml">
+<!ENTITY pgConfig           SYSTEM "pg_config-ref.sgml">
+<!ENTITY pgControldata      SYSTEM "pg_controldata.sgml">
+<!ENTITY pgCtl              SYSTEM "pg_ctl-ref.sgml">
+<!ENTITY pgDump             SYSTEM "pg_dump.sgml">
+<!ENTITY pgDumpall          SYSTEM "pg_dumpall.sgml">
+<!ENTITY pgResetxlog        SYSTEM "pg_resetxlog.sgml">
+<!ENTITY pgRestore          SYSTEM "pg_restore.sgml">
+<!ENTITY postgres           SYSTEM "postgres-ref.sgml">
+<!ENTITY postmaster         SYSTEM "postmaster.sgml">
+<!ENTITY psqlRef            SYSTEM "psql-ref.sgml">
+<!ENTITY reindexdb          SYSTEM "reindexdb.sgml">
+<!ENTITY vacuumdb           SYSTEM "vacuumdb.sgml">
diff --git a/doc/src/sgml/standalone-install.sgml b/doc/src/sgml/standalone-install.sgml
index 87f9779..c94b397 100644
--- a/doc/src/sgml/standalone-install.sgml
+++ b/doc/src/sgml/standalone-install.sgml
@@ -21,7 +21,7 @@ Running 'make INSTALL' in the doc/src/sgml directory will do 1 through
 
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" [
 
-<!entity % version SYSTEM "version.sgml">
+<!ENTITY % version SYSTEM "version.sgml">
 %version;
 
 <!--
@@ -32,8 +32,8 @@ equivalent of C's #ifdef and friends. The other end of this is in
 installation.sgml.
 -->
 
- <!entity % standalone-ignore  "IGNORE">
- <!entity % standalone-include "INCLUDE">
+ <!ENTITY % standalone-ignore  "IGNORE">
+ <!ENTITY % standalone-include "INCLUDE">
 
 <!--
 When you're building the full documentation set, you want to flip the
